package com.jxy.marketall.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jxy.common.datasource.annotation.BTCDB;
import com.jxy.marketall.dto.CapRealDto;
import com.jxy.marketall.dto.UtxosDto;
import com.jxy.marketall.entity.Utxos;
import com.jxy.marketall.vo.QueryVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;


@BTCDB
public interface UtxosMapper extends BaseMapper<Utxos>{

    UtxosDto getNewUtxos();

    Utxos getLastUtxos();

    List<Utxos> getUtxosList();

    List<CapRealDto> getCapRealList(@Param("vo") QueryVo vo);

}
